# set the proper lib and include locations for your installation

TINE_INCL ?= .
TINE_PYTHON_INCL ?= /opt/anaconda3/include/python3.9


CPP = g++ -fPIC -shared 
CC = clang -m64 -fPIC -w -I${TINE_INCL} -I${TINE_PYTHON_INCL} -c
CCL = clang -m64 -fPIC -w -shared -dynamiclib -flat_namespace -undefined suppress
LM = -lm

PyTine.so: pytine.o eventtools.o
	${CCL} -o $@ pytine.o  eventtools.o libtine.dylib libtbufsrv.dylib

pytine.o: pytine.cpp 
	${CC} pytine.cpp 

eventtools.o: eventtools.c
	${CC} eventtools.c

clean:
	rm -f *.o
