# Makefile for tine repeater server
# Insert the defs for your machine
# SUN:    CC = CC         CCL = CC         LM = 
# SGI,OSF CC = cc         CCL = cc         LM = -lm
# LINUX   CC = cc         CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -Aa     CCL = cc         LM = -lM
# SOL 2.6 CC = CC         CCL = CC         LM = -lsocket -lnsl

INCL = .
LIBS = .
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/almlib.h \
	${INCL}/listener.h

CPP = g++ -I${INCL}
CC = clang -m64 -fPIC -w -c
CCL = clang -m64 -fPIC -w -flat_namespace
LM = -lm -lpthread

tineRepeater: tineRepeater.o repeater.o listener.o
	${CCL} -o tineRepeater tineRepeater.o repeater.o listener.o ${LIBS}/libtine.a ${LM}
	chmod a+x tineRepeater

tineRepeater.o: tineRepeater.c ${HDRS}
	${CC} tineRepeater.c

repeater.o: repeater.c ${HDRS}
	${CC} repeater.c

listener.o: listener.c ${HDRS}
	${CC} listener.c

clean:
	rm -f *.o
